%{!?dotests: %define dotests 1}

%define name python3-pycparser
%define srcname pycparser 
%define version 2.19 
%define release 1


%define is_python %(test -e /opt/freeware/bin/python3_32 && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python3_32 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /opt/freeware/bin/python3_64 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python3 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%endif

Summary: C parser and AST generator written in Python
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Url: https://pypi.org/


%description
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.

%prep
%setup -q -n %{srcname}-%{version}

%build
python3 setup.py build

if [ "%{dotests}" == 1 ]
then
       python3 tests/all_tests.py
fi

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

python3 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc CHANGES LICENSE PKG-INFO README.rst
%doc examples
%{python_sitelib}/pycparser
%{python_sitelib}/pycparser-%{version}-py?.?.egg-info

%changelog

*Tue Aug 13 2019 Baanu Tumma <btumma15@in.ibm.com> - 2.19-1
- First version for AIX 
